//
//  NSBezierPathExtensions.h
//  Malkinware
//
//  Created by Jim McGowan on 4/6/15.
//  Copyright (c) 2015 Jim McGowan. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "MWVector.h"

@interface NSBezierPath (MWNSBezierPathExtensions)

// Note: the path must not be empty when calling these methods, i.e. there must be a current point
- (void)moveAlongVector:(MWVector)vector;
- (void)lineAlongVector:(MWVector)vector;

@end
