//
//  NSImageExtensions.h
//  Malkinware
//
//  Created by Jim McGowan on 22/05/2008.
//  Copyright 2008 Jim McGowan. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSImage (MWNSImageExtensions)

+ (NSImage *)imageWithData:(NSData *)data;
+ (NSImage *)imageWithContentsOfURL:(NSURL *)url;

- (NSImage *)imageRotatedBy90Degrees;

- (NSImage *)reflectionWithExtent:(CGFloat)extent;	// extent should be 0.0 - 1.0

- (NSBitmapImageRep *)largestBitmapRepresentation; // returns nil if image has no bitmap reps

@end
