//
//  NSNumberExtensions.h
//  Malkinware
//
//  Created by Jim McGowan on 09/06/2010.
//  Copyright 2010 Jim McGowan. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSNumber (MWNSNumberExtensions)

@property (readonly) BOOL boolValue;
@property (readonly) char charValue;
@property (readonly) NSDecimal decimalValue;
@property (readonly) double doubleValue;
@property (readonly) float floatValue;
@property (readonly) int intValue;
@property (readonly) NSInteger integerValue;
@property (readonly) long long longLongValue;
@property (readonly) long longValue;
@property (readonly) short shortValue;
@property (readonly) unsigned char unsignedCharValue;
@property (readonly) NSUInteger unsignedIntegerValue;
@property (readonly) unsigned int unsignedIntValue;
@property (readonly) unsigned long long unsignedLongLongValue;
@property (readonly) unsigned long unsignedLongValue;
@property (readonly) unsigned short unsignedShortValue;

@property (readonly) CGFloat CGFloatValue; // returns doubleValue or floatValue depending on CGFLOAT_IS_DOUBLE macro

@end
